package makecmd

import (
	"github.com/spf13/cobra"
	"yizhisec.com/hsv2/forge/internal/controller/maker"
)

func ConfigMap() *cobra.Command {
	_cmd := &cobra.Command{
		Use:     "configmap",
		Aliases: []string{"cm"},
		Short:   "构建 ConfigMap",
		RunE: func(cmd *cobra.Command, args []string) error {
			mk := maker.NewMaker()
			return mk.ConfigMap(cmd.Context())
		},
	}

	return _cmd
}
